---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: sonarr
  labels:
    app: sonarr
    app.kubernetes.io/name: sonarr
  annotations:
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
    traefik.ingress.kubernetes.io/router.tls.options: default-milton-mcf-io@kubernetescrd
    traefik.ingress.kubernetes.io/router.middlewares: default-secured@kubernetescrd
    cert-manager.io/cluster-issuer: letsencrypt-prod
spec:
  ingressClassName: traefik
  rules:
  - host: sonarr.milton.mcf.io
    http:
      paths:
      - path: /
        backend:
          serviceName: sonarr
          servicePort: 8989
  tls:
  - hosts:
    - sonarr.milton.mcf.io
    secretName: sonarr-tls
